Skip to main content
GET
/
api
/
tools
/
v1
/
attachments
/
{attachmentType}
/
{id}
/
text
Fetch readable attachment text
curl --request GET \
  --url https://app.govly.com/api/tools/v1/attachments/{attachmentType}/{id}/text \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "filename": "<string>",
    "startOffset": 123,
    "maxChars": 123,
    "truncated": true,
    "totalLength": 123,
    "contentType": "<string>",
    "byteSize": 123,
    "text": "<string>",
    "nextOffset": 123,
    "message": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

attachmentType
enum<string>
required
Available options:
opportunity,
workspace,
document
id
string
required

Query Parameters

startOffset
integer
default:0
Required range: x >= 0
maxChars
integer
default:100000
Required range: x <= 200000

Response

Attachment text, or a structured status if text is unavailable.

data
object
required